#include "ParseExcelParameter.h"

using namespace excel_adapter;

void ParseExcelParameter::parse(XLOPER12* excelInput, int argnumber, std::string* cppInput)
{
	*cppInput = unpack_string(excelInput, argnumber);
}

void ParseExcelParameter::pack(int* cppOutput, XLOPER12* excelOutput)
{
	pack_int_oper(*cppOutput, excelOutput);
}

void ParseExcelParameter::pack(const d_matrix* cppOutput, XLOPER12* excelOutput)
{
	pack_double_matrix_oper(*cppOutput, excelOutput);
}

void ParseExcelParameter::pack(const d_vector* cppOutput, XLOPER12* excelOutput)
{
	pack_double_vector_oper(*cppOutput, excelOutput);
}

void ParseExcelParameter::pack(double* cppOutput, XLOPER12* excelOutput)
{
	pack_double_oper(*cppOutput, excelOutput);
}

void ParseExcelParameter::parse(XLOPER12* excelInput, int argnumber, d_matrix* cppInput)
{
	*cppInput = unpack_double_matrix(excelInput, argnumber);
}

void ParseExcelParameter::parse(XLOPER12* excelInput, int argnumber, d_vector* cppInput)
{
	*cppInput = unpack_double_vector(excelInput, argnumber);
}

void ParseExcelParameter::parse(XLOPER12* excelInput, int argnumber, int* cppInput)
{
	*cppInput = unpack_int(excelInput, argnumber);
}

void ParseExcelParameter::parse(XLOPER12* excelInput, int argnumber, double* cppInput)
{
	*cppInput = unpack_double(excelInput, argnumber);
}
